#
# spec file for package perl-B-Hooks-OP-Check-EntersubForCV
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-B-Hooks-OP-Check-EntersubForCV
Version:        0.10
Release:        3.1
%define cpan_name B-Hooks-OP-Check-EntersubForCV
Summary:        Invoke callbacks on construction of entersub OPs for certain CVs
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/B-Hooks-OP-Check-EntersubForCV/
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(B::Hooks::OP::Check) >= 0.19
BuildRequires:  perl(B::Utils) >= 0.19
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(parent)
Requires:       perl(B::Hooks::OP::Check) >= 0.19
Requires:       perl(B::Utils) >= 0.19
Requires:       perl(parent)
%{perl_requires}

%description
Invoke callbacks on construction of entersub OPs for certain CVs

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix build for perl 5.28
* Tue Aug  1 2017 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-B-Hooks-OP-Check-EntersubForCV/Changes
  0.10  Mon, 31 Jul 2017 13:10:40 +0100
  * Port to Perl 5.21.4, where a gv op may contain an RV rather than a GV.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-B-Hooks-OP-Check-EntersubForCV/Changes
  0.09  Mon, 12 Mar 2012 19:49:40 +0000
  * Depend on B::Utils version 0.19, which explicitly exports its XS
    API symbols for Windows.
  0.08  Mon, 26 Sep 2011 19:49:30 +0100
  * Explicitly export XS API symbols, so that the XS API can be used on
    Windows.
  0.07  Sat, 10 Sep 2011 22:55:30 +0100
  * Depend on B::Hooks::OP::Check version 0.19, which fixes a serious bug in
    how it interacts with other modules that hook ops.
  * Add reserve definition of Newx(), to be portable back to perl 5.8.1.
  * Include repository and bugtracker resources in META.yml.
  * Add MYMETA.{json,yml} to MANIFEST.SKIP and .gitignore.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-B-Hooks-OP-Check-EntersubForCV/Changes
  0.08  Mon, 26 Sep 2011 19:49:30 +0100
  * Explicitly export XS API symbols, so that the XS API can be used on
    Windows.
  0.07  Sat, 10 Sep 2011 22:55:30 +0100
  * Depend on B::Hooks::OP::Check version 0.19, which fixes a serious bug in
    how it interacts with other modules that hook ops.
  * Add reserve definition of Newx(), to be portable back to perl 5.8.1.
  * Include repository and bugtracker resources in META.yml.
  * Add MYMETA.{json,yml} to MANIFEST.SKIP and .gitignore.
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.06
  * created by cpanspec 1.78.04
